Gets a single prospect by ID. Returns the prospect details with capability flags.
Path Parameters
- Type: stringproject
Id requiredProject ID
- Type: stringidrequired
Prospect ID
Responses
- application/json
- application/problem+json
- application/problem+json
- application/problem+json
- application/problem+json
Request Example for get/api/v1/projects/{projectId}/prospects/{id}
curl 'https://app.propstreet.com/api/v1/projects/{projectId}/prospects/{id}' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"id": "string",
"uri": null,
"externalRefs": [
{
"namespace": "string",
"id": "string"
}
],
"projectId": "string",
"contactId": null,
"companyId": null,
"displayName": null,
"organizationName": null,
"classification": null,
"capabilities": [
"string"
],
"tags": [
"string"
],
"teaser": {
"acceptedUtc": null,
"deadlineUtc": null
},
"createdUtc": "2026-05-18T20:22:36.959Z",
"updatedUtc": "2026-05-18T20:22:36.959Z",
"deletedUtc": null,
"etag": "string",
"changeType": null,
"changeOrigin": null
}